EchoXML.NamespacePolicy (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: EchoXML, class: NamespacePolicy

# Class EchoXML.NamespacePolicy

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.EchoXML.NamespacePolicy

Enclosing class:
  `EchoXML`

public static class EchoXML.NamespacePolicy extends EnumeratedAttribute

Since:
  Ant 1.7

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final EchoXML.NamespacePolicy`
  `DEFAULT`

  ### Fields inherited from class EnumeratedAttribute

  `value`
  Modifier and Type
  Field
  Description
  `protected String`
  `value`
  The selected value in this enumeration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamespacePolicy()`
  `NamespacePolicy(String s)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DOMElementWriter.XmlNamespacePolicy`
  `getPolicy()`
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `containsValue(String value)`
  Is this value included in the enumeration?
  `final int`
  `getIndex()`
  `static EnumeratedAttribute`
  `getInstance(Class<? extends EnumeratedAttribute> clazz, String value)`
  Factory method for instantiating EAs via API in a more developer friendly way.
  `final String`
  `getValue()`
  `final int`
  `indexOfValue(String value)`
  get the index of a value in this enumeration.
  `void`
  `setValue(String value)`
  Invoked by `IntrospectionHelper`.
  `String`
  `toString()`
  Convert the value to its string form.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT

    public static final EchoXML.NamespacePolicy DEFAULT

- ## Constructor Details

  - ### NamespacePolicy

    public NamespacePolicy()

  - ### NamespacePolicy

    public NamespacePolicy(String s)

- ## Method Details

  - ### getValues

    public String[] getValues()
    This is the only method a subclass needs to implement..
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

  - ### getPolicy

    public DOMElementWriter.XmlNamespacePolicy getPolicy()